#!/bin/bash

function install_os() {
    osinfo-query os
    virsh list
    virt-install --virt-type qemu --name linux \
    --ram 4096 \
    --disk path=/image.qcow2 \
    --vcpus 4 \
    --os-type linux \
    --os-variant ubuntu18.04 \
    --initrd-inject=preseed.cfg \
    --initrd-inject=postinst.sh \
    --graphics none \
    --location 'http://us.archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/' \
    --extra-args 'console=ttyS0,115200n8 serial'
    virsh list
    virsh console linux
}

install_os
